var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconSystemPresettingComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-System-presetting").concat(loadingKls, " ").concat(className), width: width, height: height, viewBox: "0 0 14 14", fill: useCurrentColor ? 'currentColor' : '#000', xmlns: "http://www.w3.org/2000/svg" }, rest, { ref: ref }),
        React.createElement("path", { d: "M3 4.89979L3 10.4454C3 10.7517 3.24797 11 3.55385 11L9.09236 11C9.39824 11 9.64621 10.7517 9.64621 10.4454L9.64621 9.33631C9.64621 9.03003 9.39824 8.78174 9.09236 8.78174L6.79167 8.78197L10.8378 4.73097C11.0541 4.5144 11.0541 4.16327 10.8378 3.9467L10.0545 3.16243C9.83823 2.94586 9.48755 2.94586 9.27125 3.16243L5.21496 7.22362L5.2154 4.89979C5.2154 4.59351 4.96744 4.34523 4.66155 4.34523L3.55385 4.34523C3.24797 4.34523 3 4.59351 3 4.89979Z" }));
}
var IconSystemPresetting = React.forwardRef(IconSystemPresettingComponent);
export default IconSystemPresetting;
